* {
  box-sizing: border-box;
}
body {
  margin: 0;
  font-family: 'Segoe UI', sans-serif;
  background: linear-gradient(135deg, #1e1e1e, #3e3e3e);
  color: white;
  transition: background 0.5s ease;
}
.hidden {
  display: none;
}
.editor-mode {
  width: 100%;
  height: 80vh;
}
.sed {
  display: flex;
  height: 80vh; 
  width: 100%;
}

.editor-column {
  flex: 1; 
  display: flex;
  flex-direction: column;
  height: 100%;
}

.editor-label {
  padding: 6px;
  background: #2c2c2c;
  font-weight: bold;
  text-align: center;
  border-bottom: 1px solid #444;
}

.editor-box {
  flex: 1; 
  height: 100%;
  overflow: hidden;
}

.CodeMirror {
  height: 100% !important; 
  width: 100% !important; 
  font-size: 14px;
  background-color: #1e1e1e;
  color: white;
}

.custom-select-wrapper {
  display: inline-block;
  position: relative;
  font-family: Arial, sans-serif;
}

.custom-select-wrapper select {
  appearance: none; 
  -webkit-appearance: none;
  -moz-appearance: none;
  padding: 10px 16px 10px 16px;
  font-size: 16px;
  border-radius: 8px;
  background-color: #333;
  color: #f9f9f9;
  cursor: pointer;
  outline: none;
  transition: border 0.3s ease;
}

.custom-select-wrapper::after {
  content: "▼";
  position: absolute;
  right: 14px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 16px;
  color: darkslateblue;
  pointer-events: none;
}

.custom-select-wrapper select:hover {
  border-color: darkslateblue;
}

.custom-select-wrapper select:focus {
  border-color: darkslateblue;
  box-shadow: 0 0 0 2px rgba(0,123,255,0.2);
}


/* @import url(./components/css/header.css); */
/* @import url(./components/css/layout.css); */
/* @import url(./components/css/editor.css); */
/* @import url(./components/css/output.css); */
/* @import url(./components/css/setting.css); */

